version: '3.1'
services:

  wordpress:
    image: wordpress
    deploy:
      mode: replicated
      replicas: 3
    restart: always
    ports:
      - 80:80
    networks:
      - wordpress
    environment:
      WORDPRESS_DB_HOST: 172.17.0.2
      WORDPRESS_DB_USER: wordpress
      WORDPRESS_DB_PASSWORD: wordpress
      WORDPRESS_DB_NAME: wordpress
    volumes:
      - ./wordpress:/var/www/html 
networks:
  wordpress: